

# SubmitFeedback
<a name="API_SubmitFeedback"></a>

Submits feedback on a clinical document or a set of medical codes that Amazon Connect Health generated.

## Request Syntax
<a name="API_SubmitFeedback_RequestSyntax"></a>

```
POST /domain/{{domainId}}/feedback HTTP/1.1
Content-type: application/json

{
   "artifactSourceId": "{{string}}",
   "artifactType": "{{string}}",
   "clientToken": "{{string}}",
   "comments": "{{string}}",
   "generatedArtifactS3Uri": "{{string}}",
   "signedArtifactS3Uri": "{{string}}",
   "subscriptionId": "{{string}}"
}
```

## URI Request Parameters
<a name="API_SubmitFeedback_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainId](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-uri-domainId"></a>
The unique identifier of the parent Domain.  
Length Constraints: Minimum length of 20. Maximum length of 25.  
Pattern: `(hai-|dom-)[a-z0-9]+`   
Required: Yes

## Request Body
<a name="API_SubmitFeedback_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [artifactSourceId](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-artifactSourceId"></a>
The identifier of the artifact source. For a clinical document, this is the session ID. For a set of medical codes, this is the medical coding job ID.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}`   
Required: Yes

 ** [artifactType](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-artifactType"></a>
The type of artifact that you submit feedback for. The following values are valid:  
+ CLINICAL\_DOC is the clinical document generated for an ambient documentation session.
+ MEDICAL\_CODES is the set of medical codes generated by a medical coding job.
Type: String  
Valid Values: `CLINICAL_DOC | MEDICAL_CODES`   
Required: Yes

 ** [clientToken](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-clientToken"></a>
A unique, case-sensitive identifier that you provide to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request but does not return an error.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Required: No

 ** [comments](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-comments"></a>
Optional comments about the feedback.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 4096.  
Required: No

 ** [generatedArtifactS3Uri](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-generatedArtifactS3Uri"></a>
The Amazon S3 URI of the clinical document or set of medical codes that Amazon Connect Health generated.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `s3://[a-z0-9][\.\-a-z0-9]{1,61}[a-z0-9](/.*)?`   
Required: No

 ** [signedArtifactS3Uri](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-signedArtifactS3Uri"></a>
The Amazon Simple Storage Service (Amazon S3) URI of the final artifact that the clinician signed.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 1024.  
Pattern: `s3://[a-z0-9][\.\-a-z0-9]{1,61}[a-z0-9](/.*)?`   
Required: Yes

 ** [subscriptionId](#API_SubmitFeedback_RequestSyntax) **   <a name="connecthealth-SubmitFeedback-request-subscriptionId"></a>
The unique identifier of the Subscription.  
Type: String  
Length Constraints: Fixed length of 25.  
Pattern: `sub-[a-zA-Z0-9]{21}`   
Required: No

## Response Syntax
<a name="API_SubmitFeedback_ResponseSyntax"></a>

```
HTTP/1.1 202
```

## Response Elements
<a name="API_SubmitFeedback_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response with an empty HTTP body.

## Errors
<a name="API_SubmitFeedback_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
This error is thrown when the client does not supply proper credentials to the API.  
HTTP Status Code: 401

 ** InternalServerException **   
This error is thrown when a transient error causes our API to fail.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
This error is thrown when the requested resource is not found.  
HTTP Status Code: 404

 ** ThrottlingException **   
This error is thrown when the client exceeds the allowed request rate.  
HTTP Status Code: 429

 ** ValidationException **   
This error is thrown when the client supplies invalid input to the API.  
HTTP Status Code: 400

## See Also
<a name="API_SubmitFeedback_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for Python (Boto3)](https://docs.aws.amazon.com/goto/boto3/connecthealth-2025-01-29/SubmitFeedback) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/connecthealth-2025-01-29/SubmitFeedback) 